﻿using UnityEngine;
using System.Collections;
/** Accessing the GPS Data over JNI calls
 *  Please check the Java sources under Plugins/Android
 * */
public class GPSManager : MonoBehaviour {
	static string userLocation;
	AndroidJavaClass gpsActivityJavaClass;


	void Start () {
		AndroidJNI.AttachCurrentThread();
		gpsActivityJavaClass = new AndroidJavaClass("com.LuminAR.Project");
	}
	void Update() {
		GUIText setText;

		userLocation = gpsActivityJavaClass.CallStatic<string>("getLocation");

		if(userLocation!="Unknown"){
			setText = GameObject.Find("gps_user_location").GetComponent<GUIText>();
			setText.text = userLocation;
		} else {
			setText = GameObject.Find("gps_user_location").GetComponent<GUIText>();
			setText.text = "No Location.";
		}
	}
}